import 'package:flutter_test/flutter_test.dart';
import 'package:sadad_payment_sdk_flutter/sadad_payment_sdk_flutter.dart';
import 'package:sadad_payment_sdk_flutter/sadad_payment_sdk_flutter_platform_interface.dart';
import 'package:sadad_payment_sdk_flutter/sadad_payment_sdk_flutter_method_channel.dart';
import 'package:plugin_platform_interface/plugin_platform_interface.dart';

class MockSadadPaymentSdkFlutterPlatform
    with MockPlatformInterfaceMixin
    implements SadadPaymentSdkFlutterPlatform {

  @override
  Future<String?> getPlatformVersion() => Future.value('42');
}

void main() {
  final SadadPaymentSdkFlutterPlatform initialPlatform = SadadPaymentSdkFlutterPlatform.instance;

  test('$MethodChannelSadadPaymentSdkFlutter is the default instance', () {
    expect(initialPlatform, isInstanceOf<MethodChannelSadadPaymentSdkFlutter>());
  });

  test('getPlatformVersion', () async {
    SadadPaymentSdkFlutter sadadPaymentSdkFlutterPlugin = SadadPaymentSdkFlutter();
    MockSadadPaymentSdkFlutterPlatform fakePlatform = MockSadadPaymentSdkFlutterPlatform();
    SadadPaymentSdkFlutterPlatform.instance = fakePlatform;

    expect(await sadadPaymentSdkFlutterPlugin.getPlatformVersion(), '42');
  });
}
